{% extends 'front_end/base.html' %}
{% load staticfiles %}
{% load static %}
{% block style %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block title %}
{{ anime_detail.title }}
{% endblock title %}
{% block body %}
<body class='body'>
<div class="container container_detail">
<div class="row">
    <div class="col-sm-3">
        <!-- Anime image -->
        <div class='anime-img-container'>
            <img class='anime-img' src='{{ anime_detail.image_url }}'>
        </div>
        <!-- Information -->
        <h5 class='header-five'><b>Information</b></h5>
        <hr>
        <p><b>Title</b>: {{ anime_detail.title }}<br>
        <b>Type</b>: {{ anime_detail.series_type }}<br>
        <b>Episodes</b>: {{ anime_detail.episodes }}<br>
        <b>Status</b>: {{ anime_detail.status }}<br>
        <b>Aired</b>: {{ anime_detail.aired_string }}<br>
        <b>Premiered</b>: {{ anime_detail.premeared }}<br>
        <b>Producers</b>: {{ anime_detail.producer }}<br>
        <b>Broadcast</b>: {{ anime_detail.broadcast }}<br>
        <b>Studio(s)</b>: {{ anime_detail.studio }}<br>
        <b>Source</b>: {{ anime_detail.source }}<br>
        <b>Genre</b>: {{ anime_detail.genre }}<br>
        <b>Rating</b>: {{ anime_detail.rating }}<br>
        </p> 
        </div>
        <!--  Anime title and info-->
        <div style='margin-top:20px' class="col-sm-9">
            <div class='header-title'>
                <div>
                    <h2 class='anime-title'>{{ anime_detail.title }}</h2>
                </div>
                <div>
                <p><b>Score</b>: {{ anime_detail.score }}  |<b> Rank</b>: {{ anime_detail.rank }}  |<b> Popularity</b>: {{ anime_detail.popularity }}</p>
                </div>
            </div>
        <!-- Background -->
        <h5>Background</h5>
        <hr>
        <p>{{ anime_detail.background }}</p>
        <!--<h5>Related Anime</h5>
        <hr>
        {% for related_anime in anime_detail.related %}
            {{ related_anime }}<br>
        {% endfor %}-->
        <!--  Characters and voice actors -->
        <h5><b>Characters & Voice Actors</b></h5>
        <hr>
        <div class='container row'>
            <div class='col-sm-6'>
                {% for staff in characters_data.characters|slice:":5" %}
                <div class='characters'>
                    <div class='character'>
                        <div class='character-img'>
                        <img height='60' width='60' src='{{ staff.image_url }}'>
                        </div>
                        <div class='character-detail'>
                        <p>{{ staff.name }}<br>
                        {{ staff.role }}</p>
                        </div>
                    </div>
                    <div class='actor'>
                        {% for voice_actor in staff.voice_actors|slice:":1" %}
                        <div class='actor-detail'>
                        <p>{{ voice_actor.name }}<br>
                        </p>
                        </div>
                        <div class='actor-img'>
                        <img height='60' width='60' src='{{ voice_actor.image_url }}'>
                        </div>
                        {% endfor %}
                    </div>
                </div>
                {% endfor %}
               
            </div>
            <div class='col-sm-6'>
                {% for staff in characters_data.characters|slice:"5:10" %}
                <div class='characters'>
                    <div class='character'>
                        <div class='character-img'>
                        <img height='60' width='60' src='{{ staff.image_url }}'>
                        </div>
                        <div class='character-detail'>
                        <p>{{ staff.name }}<br>
                        {{ staff.role }}</p>
                        </div>
                    </div>
                    <div class='actor'>
                        {% for voice_actor in staff.voice_actors|slice:":1" %}
                        <div class='actor-detail'>
                        <p>{{ voice_actor.name }}<br>
                        </p>
                        </div>
                        <div class='actor-img'>
                        <img height='60' width='60' src='{{ voice_actor.image_url }}'>
                        </div>
                        {% endfor %}
                    </div>
                </div>
                {% endfor %}
               
               
            </div>
        </div>
        <!-- Staff -->
        <h5><b>Staff</b></h5>
        <hr>
        <div class='container row'>
            <div class='col-sm-6'>
                {% for staff in characters_data.staff|slice:":5" %}
                <div class='staff'>
                    <div class='staff-img'>
                    <img height='60' width='60' src='{{ staff.image_url }}'>
                    </div>
                    <div class='staff-detail'>
                    <p>{{ staff.name }}<br>
                   {% for position in staff.positions %}{{ position }}{% if not forloop.last %}, {% endif %}{% endfor %}</p>
                    </div>
                </div>
                {% endfor %}
               
            </div>
            <div class='col-sm-6'>
                {% for staff in characters_data.staff|slice:"5:10" %}
                <div class='staff'>
                    <div class='staff-img'>
                    <img height='60' width='60' src='{{ staff.image_url }}'>
                    </div>
                    <div class='staff-detail'>
                    <p>{{ staff.name }}<br>
                   {% for position in staff.positions %}{{ position }}{% if not forloop.last %}, {% endif %}{% endfor %}</p>
                    </div>
                </div>
                {% endfor %}
               
            </div>
        </div>
        <h5><b>Opening & Ending Theme</b></h5>
        <hr>
        <div class='container row'>
            <div class='col-sm-6'>
                <div>
                {% with anime_detail.opening_theme as opening_theme %}
                    <p>{{ opening_theme }}</p>
                {% endwith %}
                </div>
            </div>
            <div class='col-sm-6'>
                <div>
                    <p>{% for ending in anime_detail.ending_theme %}{{ ending }}{% if ending is ',' %}<br>{% endif %}{% endfor %}</p>
                </div>
            </div>
        </div>
        {% if reviews %}
            <h5><b>Reviews</b></h5>
            <hr>
            <div class='container row'>
                {% for review in reviews|slice:":2" %}
                    <div class='review-container'>
                        <div class='review-header'>
                            
                            <div  class='header-text'>
                                <h5>Author: {{ review.user__username }}</h5>
                                <p>Created on: {{ review.created }}<br>
                                <br>
                                Review: {{ review.content }}</p>
                            </div>
                        </div>
                        {% if not forloop.last %}
                            <hr>
                        {% endif %}
                        
                    </div>
                {% endfor %}
                
            </div>
        {% endif %}
        <a class='write-review-btn' href="{% url 'front_end:post-review' anime_detail.anime_id %}">Write a review</a>
        
    </div>
</div>
</div>

</body>


{% endblock %}

